aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2012-02-17 12:06:12 -0600
committerRob Landley <rob@landley.net>2012-02-17 12:06:12 -0600
commit1aa66ba2084a7e1ad7b0a5bbece58a835c749096 (patch)
tree388a9ebbff6775a5b2a96b81bc2a8185e0f37a2c
parent9494ffce734e31194ccbecf51436f33582f0925c (diff)
downloadtoybox-1aa66ba2084a7e1ad7b0a5bbece58a835c749096.tar.gz
Add V=1 support to make.
-rwxr-xr-xscripts/make.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 828bdd60..e2236eac 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -96,9 +96,15 @@ TOYFILES=$(cat .config | sed -nre 's/^CONFIG_(.*)=y/\1/;t skip;b;:skip;s/_.*//;p
echo "Compile toybox..."
-$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c \
+do_loudly()
+{
+ [ ! -z "$V" ] && echo "$@"
+ "$@"
+}
+
+do_loudly $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c \
$TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
-$DEBUG $STRIP toybox_unstripped -o toybox || exit 1
+do_loudly $STRIP toybox_unstripped -o toybox || exit 1
# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
# its output the way SUSv4 suggests it do so.
-$DEBUG chmod +x toybox || exit 1
+do_loudly chmod +x toybox || exit 1